Skip to main content
POST
/
action
/
company_research_v2_get_domain_qa_history
[CRQ] Get Domain Q&A History
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_get_domain_qa_history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "output_variable_name": "qa_history",
  "limit": 20
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
domain
string
required

Domain to get Q&A history for (e.g., hubspot.com).

output_variable_name
string
default:qa_history
required

Variable name for the Q&A history.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
limit
number
default:20

Maximum number of Q&A pairs to return.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action